Index: uspace/srv/net/socket/socket_client.c
===================================================================
--- uspace/srv/net/socket/socket_client.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/socket/socket_client.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -75,5 +75,5 @@
 /** Default timeout for connections in microseconds.
  */
-#define SOCKET_CONNECT_TIMEOUT	( 1 * 1000 * 1000 )
+#define SOCKET_CONNECT_TIMEOUT	(1 * 1000 * 1000)
 
 /** Maximum number of random attempts to find a new socket identifier before switching to the sequence.
@@ -97,51 +97,51 @@
 	/** Socket identifier.
 	 */
-	int					socket_id;
+	int socket_id;
 	/** Parent module phone.
 	 */
-	int					phone;
+	int phone;
 	/** Parent module service.
 	 */
-	services_t			service;
+	services_t service;
 	/** Underlying protocol header size.
 	 *  Sending and receiving optimalization.
 	 */
-	size_t				header_size;
+	size_t header_size;
 	/** Packet data fragment size.
 	 *  Sending optimalization.
 	 */
-	size_t				data_fragment_size;
+	size_t data_fragment_size;
 	/** Sending safety lock.
 	 *  Locks the header_size and data_fragment_size attributes.
 	 */
-	fibril_rwlock_t		sending_lock;
+	fibril_rwlock_t sending_lock;
 	/** Received packets queue.
 	 */
-	dyn_fifo_t			received;
+	dyn_fifo_t received;
 	/** Received packets safety lock.
 	 *  Used for receiving and receive notifications.
 	 *  Locks the received attribute.
 	 */
-	fibril_mutex_t		receive_lock;
+	fibril_mutex_t receive_lock;
 	/** Received packets signaling.
 	 *  Signaled upon receive notification.
 	 */
-	fibril_condvar_t	receive_signal;
+	fibril_condvar_t receive_signal;
 	/** Waiting sockets queue.
 	 */
-	dyn_fifo_t			accepted;
+	dyn_fifo_t accepted;
 	/** Waiting sockets safety lock.
 	 *  Used for accepting and accept notifications.
 	 *  Locks the accepted attribute.
 	 */
-	fibril_mutex_t		accept_lock;
+	fibril_mutex_t accept_lock;
 	/** Waiting sockets signaling.
 	 *  Signaled upon accept notification.
 	 */
-	fibril_condvar_t	accept_signal;
+	fibril_condvar_t accept_signal;
 	/** The number of blocked functions called.
 	 *  Used while waiting for the received packets or accepted sockets.
 	 */
-	int					blocked;
+	int blocked;
 };
 
@@ -150,5 +150,5 @@
  *  @see int_map.h
  */
-INT_MAP_DECLARE( sockets, socket_t );
+INT_MAP_DECLARE(sockets, socket_t);
 
 /** Socket client library global data.
@@ -157,8 +157,8 @@
 	/** TCP module phone.
 	 */
-	int	tcp_phone;
+	int tcp_phone;
 	/** UDP module phone.
 	 */
-	int	udp_phone;
+	int udp_phone;
 //	/** The last socket identifier.
 //	 */
@@ -166,5 +166,5 @@
 	/** Active sockets.
 	 */
-	sockets_ref	sockets;
+	sockets_ref sockets;
 	/** Safety lock.
 	 *  Write lock is used only for adding or removing sockets.
@@ -173,5 +173,5 @@
 	 *  No socket lock may be locked if this lock is unlocked.
 	 */
-	fibril_rwlock_t	lock;
+	fibril_rwlock_t lock;
 } socket_globals = {
 	.tcp_phone = -1,
@@ -183,11 +183,11 @@
 		.writers = 0,
 		.waiters = {
-			.prev = & socket_globals.lock.waiters,
-			.next = & socket_globals.lock.waiters
+			.prev = &socket_globals.lock.waiters,
+			.next = &socket_globals.lock.waiters
 		}
 	}
 };
 
-INT_MAP_IMPLEMENT( sockets, socket_t );
+INT_MAP_IMPLEMENT(sockets, socket_t);
 
 /** Returns the TCP module phone.
@@ -196,5 +196,5 @@
  *  @returns Other error codes as defined for the bind_service_timeout() function.
  */
-static int	socket_get_tcp_phone( void );
+static int socket_get_tcp_phone(void);
 
 /** Returns the UDP module phone.
@@ -203,10 +203,10 @@
  *  @returns Other error codes as defined for the bind_service_timeout() function.
  */
-static int	socket_get_udp_phone( void );
+static int socket_get_udp_phone(void);
 
 /** Returns the active sockets.
  *  @returns The active sockets.
  */
-static sockets_ref	socket_get_sockets( void );
+static sockets_ref socket_get_sockets(void);
 
 /** Tries to find a new free socket identifier.
@@ -214,5 +214,5 @@
  *  @returns ELIMIT if there is no socket identifier available.
  */
-static int	socket_generate_new_id( void );
+static int socket_generate_new_id(void);
 
 /** Default thread for new connections.
@@ -220,5 +220,5 @@
  *  @param[in] icall The initial message call structure.
  */
-void	socket_connection( ipc_callid_t iid, ipc_call_t * icall );
+void socket_connection(ipc_callid_t iid, ipc_call_t * icall);
 
 /** Sends message to the socket parent module with specified data.
@@ -234,5 +234,5 @@
  *  @returns Other error codes as defined for the spcific message.
  */
-int	socket_send_data( int socket_id, ipcarg_t message, ipcarg_t arg2, const void * data, size_t datalength );
+int socket_send_data(int socket_id, ipcarg_t message, ipcarg_t arg2, const void * data, size_t datalength);
 
 /** Initializes a new socket specific data.
@@ -242,10 +242,10 @@
  *  @param[in] service The parent module service.
  */
-void	socket_initialize( socket_ref socket, int socket_id, int phone, services_t service );
+void socket_initialize(socket_ref socket, int socket_id, int phone, services_t service);
 
 /** Clears and destroys the socket.
  *  @param[in] socket The socket to be destroyed.
  */
-void	socket_destroy( socket_ref socket );
+void socket_destroy(socket_ref socket);
 
 /** Receives data via the socket.
@@ -263,5 +263,5 @@
  *  @returns Other error codes as defined for the spcific message.
  */
-int	recvfrom_core( ipcarg_t message, int socket_id, void * data, size_t datalength, int flags, struct sockaddr * fromaddr, socklen_t * addrlen );
+int recvfrom_core(ipcarg_t message, int socket_id, void * data, size_t datalength, int flags, struct sockaddr * fromaddr, socklen_t * addrlen);
 
 /** Sends data via the socket to the remote address.
@@ -280,37 +280,39 @@
  *  @returns Other error codes as defined for the NET_SOCKET_SENDTO message.
  */
-int	sendto_core( ipcarg_t message, int socket_id, const void * data, size_t datalength, int flags, const struct sockaddr * toaddr, socklen_t addrlen );
-
-static int socket_get_tcp_phone( void ){
-	if( socket_globals.tcp_phone < 0 ){
-		socket_globals.tcp_phone = bind_service_timeout( SERVICE_TCP, 0, 0, SERVICE_TCP, socket_connection, SOCKET_CONNECT_TIMEOUT );
+int sendto_core(ipcarg_t message, int socket_id, const void * data, size_t datalength, int flags, const struct sockaddr * toaddr, socklen_t addrlen);
+
+static int socket_get_tcp_phone(void){
+	if(socket_globals.tcp_phone < 0){
+		socket_globals.tcp_phone = bind_service_timeout(SERVICE_TCP, 0, 0, SERVICE_TCP, socket_connection, SOCKET_CONNECT_TIMEOUT);
 	}
 	return socket_globals.tcp_phone;
 }
 
-static int socket_get_udp_phone( void ){
-	if( socket_globals.udp_phone < 0 ){
-		socket_globals.udp_phone = bind_service_timeout( SERVICE_UDP, 0, 0, SERVICE_UDP, socket_connection, SOCKET_CONNECT_TIMEOUT );
+static int socket_get_udp_phone(void){
+	if(socket_globals.udp_phone < 0){
+		socket_globals.udp_phone = bind_service_timeout(SERVICE_UDP, 0, 0, SERVICE_UDP, socket_connection, SOCKET_CONNECT_TIMEOUT);
 	}
 	return socket_globals.udp_phone;
 }
 
-static sockets_ref socket_get_sockets( void ){
-	if( ! socket_globals.sockets ){
-		socket_globals.sockets = ( sockets_ref ) malloc( sizeof( sockets_t ));
-		if( ! socket_globals.sockets ) return NULL;
-		if( sockets_initialize( socket_globals.sockets ) != EOK ){
-			free( socket_globals.sockets );
+static sockets_ref socket_get_sockets(void){
+	if(! socket_globals.sockets){
+		socket_globals.sockets = (sockets_ref) malloc(sizeof(sockets_t));
+		if(! socket_globals.sockets){
+			return NULL;
+		}
+		if(sockets_initialize(socket_globals.sockets) != EOK){
+			free(socket_globals.sockets);
 			socket_globals.sockets = NULL;
 		}
-		srand( task_get_id());
+		srand(task_get_id());
 	}
 	return socket_globals.sockets;
 }
 
-static int socket_generate_new_id( void ){
-	sockets_ref	sockets;
-	int			socket_id;
-	int			count;
+static int socket_generate_new_id(void){
+	sockets_ref sockets;
+	int socket_id;
+	int count;
 
 	sockets = socket_get_sockets();
@@ -318,15 +320,15 @@
 //	socket_id = socket_globals.last_id;
 	do{
-		if( count < SOCKET_ID_TRIES ){
+		if(count < SOCKET_ID_TRIES){
 			socket_id = rand() % INT_MAX;
 			++ count;
-		}else if( count == SOCKET_ID_TRIES ){
+		}else if(count == SOCKET_ID_TRIES){
 			socket_id = 1;
 			++ count;
 		// only this branch for last_id
 		}else{
-			if( socket_id < INT_MAX ){
+			if(socket_id < INT_MAX){
 				++ socket_id;
-/*			}else if( socket_globals.last_id ){
+/*			}else if(socket_globals.last_id){
 *				socket_globals.last_id = 0;
 *				socket_id = 1;
@@ -335,96 +337,98 @@
 			}
 		}
-	}while( sockets_find( sockets, socket_id ));
+	}while(sockets_find(sockets, socket_id));
 //	last_id = socket_id
 	return socket_id;
 }
 
-void socket_initialize( socket_ref socket, int socket_id, int phone, services_t service ){
+void socket_initialize(socket_ref socket, int socket_id, int phone, services_t service){
 	socket->socket_id = socket_id;
 	socket->phone = phone;
 	socket->service = service;
-	dyn_fifo_initialize( & socket->received, SOCKET_INITIAL_RECEIVED_SIZE );
-	dyn_fifo_initialize( & socket->accepted, SOCKET_INITIAL_ACCEPTED_SIZE );
-	fibril_mutex_initialize( & socket->receive_lock );
-	fibril_condvar_initialize( & socket->receive_signal );
-	fibril_mutex_initialize( & socket->accept_lock );
-	fibril_condvar_initialize( & socket->accept_signal );
-	fibril_rwlock_initialize( & socket->sending_lock );
-}
-
-void socket_connection( ipc_callid_t iid, ipc_call_t * icall ){
+	dyn_fifo_initialize(&socket->received, SOCKET_INITIAL_RECEIVED_SIZE);
+	dyn_fifo_initialize(&socket->accepted, SOCKET_INITIAL_ACCEPTED_SIZE);
+	fibril_mutex_initialize(&socket->receive_lock);
+	fibril_condvar_initialize(&socket->receive_signal);
+	fibril_mutex_initialize(&socket->accept_lock);
+	fibril_condvar_initialize(&socket->accept_signal);
+	fibril_rwlock_initialize(&socket->sending_lock);
+}
+
+void socket_connection(ipc_callid_t iid, ipc_call_t * icall){
 	ERROR_DECLARE;
 
-	ipc_callid_t	callid;
-	ipc_call_t		call;
-	socket_ref		socket;
-
-	while( true ){
-
-		callid = async_get_call( & call );
-		switch( IPC_GET_METHOD( call )){
+	ipc_callid_t callid;
+	ipc_call_t call;
+	socket_ref socket;
+
+	while(true){
+
+		callid = async_get_call(&call);
+		switch(IPC_GET_METHOD(call)){
 			case NET_SOCKET_RECEIVED:
 			case NET_SOCKET_ACCEPTED:
 			case NET_SOCKET_DATA_FRAGMENT_SIZE:
-				fibril_rwlock_read_lock( & socket_globals.lock );
+				fibril_rwlock_read_lock(&socket_globals.lock);
 				// find the socket
-				socket = sockets_find( socket_get_sockets(), SOCKET_GET_SOCKET_ID( call ));
-				if( ! socket ){
+				socket = sockets_find(socket_get_sockets(), SOCKET_GET_SOCKET_ID(call));
+				if(! socket){
 					ERROR_CODE = ENOTSOCK;
 				}else{
-					switch( IPC_GET_METHOD( call )){
+					switch(IPC_GET_METHOD(call)){
 						case NET_SOCKET_RECEIVED:
-							fibril_mutex_lock( & socket->receive_lock );
+							fibril_mutex_lock(&socket->receive_lock);
 							// push the number of received packet fragments
-							if( ! ERROR_OCCURRED( dyn_fifo_push( & socket->received, SOCKET_GET_DATA_FRAGMENTS( call ), SOCKET_MAX_RECEIVED_SIZE ))){
+							if(! ERROR_OCCURRED(dyn_fifo_push(&socket->received, SOCKET_GET_DATA_FRAGMENTS(call), SOCKET_MAX_RECEIVED_SIZE))){
 								// signal the received packet
-								fibril_condvar_signal( & socket->receive_signal );
+								fibril_condvar_signal(&socket->receive_signal);
 							}
-							fibril_mutex_unlock( & socket->receive_lock );
+							fibril_mutex_unlock(&socket->receive_lock);
 							break;
 						case NET_SOCKET_ACCEPTED:
 							// push the new socket identifier
-							fibril_mutex_lock( & socket->accept_lock );
-							if( ! ERROR_OCCURRED( dyn_fifo_push( & socket->accepted, 1, SOCKET_MAX_ACCEPTED_SIZE ))){
+							fibril_mutex_lock(&socket->accept_lock);
+							if(! ERROR_OCCURRED(dyn_fifo_push(&socket->accepted, 1, SOCKET_MAX_ACCEPTED_SIZE))){
 								// signal the accepted socket
-								fibril_condvar_signal( & socket->accept_signal );
+								fibril_condvar_signal(&socket->accept_signal);
 							}
-							fibril_mutex_unlock( & socket->accept_lock );
+							fibril_mutex_unlock(&socket->accept_lock);
 							break;
 						default:
 							ERROR_CODE = ENOTSUP;
 					}
-					if(( SOCKET_GET_DATA_FRAGMENT_SIZE( call ) > 0 )
-					&& ( SOCKET_GET_DATA_FRAGMENT_SIZE( call ) != socket->data_fragment_size )){
-						fibril_rwlock_write_lock( & socket->sending_lock );
+					if((SOCKET_GET_DATA_FRAGMENT_SIZE(call) > 0)
+						&& (SOCKET_GET_DATA_FRAGMENT_SIZE(call) != socket->data_fragment_size)){
+						fibril_rwlock_write_lock(&socket->sending_lock);
 						// set the data fragment size
-						socket->data_fragment_size = SOCKET_GET_DATA_FRAGMENT_SIZE( call );
-						fibril_rwlock_write_unlock( & socket->sending_lock );
+						socket->data_fragment_size = SOCKET_GET_DATA_FRAGMENT_SIZE(call);
+						fibril_rwlock_write_unlock(&socket->sending_lock);
 					}
 				}
-				fibril_rwlock_read_unlock( & socket_globals.lock );
+				fibril_rwlock_read_unlock(&socket_globals.lock);
 				break;
 			default:
 				ERROR_CODE = ENOTSUP;
 		}
-		ipc_answer_0( callid, ( ipcarg_t ) ERROR_CODE );
-	}
-}
-
-int socket( int domain, int type, int protocol ){
+		ipc_answer_0(callid, (ipcarg_t) ERROR_CODE);
+	}
+}
+
+int socket(int domain, int type, int protocol){
 	ERROR_DECLARE;
 
-	socket_ref	socket;
-	int			phone;
-	int			socket_id;
-	services_t	service;
+	socket_ref socket;
+	int phone;
+	int socket_id;
+	services_t service;
 
 	// find the appropriate service
-	switch( domain ){
+	switch(domain){
 		case PF_INET:
-			switch( type ){
+			switch(type){
 				case SOCK_STREAM:
-					if( ! protocol ) protocol = IPPROTO_TCP;
-					switch( protocol ){
+					if(! protocol){
+						protocol = IPPROTO_TCP;
+					}
+					switch(protocol){
 						case IPPROTO_TCP:
 							phone = socket_get_tcp_phone();
@@ -436,6 +440,8 @@
 					break;
 				case SOCK_DGRAM:
-					if( ! protocol ) protocol = IPPROTO_UDP;
-					switch( protocol ){
+					if(! protocol){
+						protocol = IPPROTO_UDP;
+					}
+					switch(protocol){
 						case IPPROTO_UDP:
 							phone = socket_get_udp_phone();
@@ -455,32 +461,36 @@
 			return EPFNOSUPPORT;
 	}
-	if( phone < 0 ) return phone;
+	if(phone < 0){
+		return phone;
+	}
 	// create a new socket structure
-	socket = ( socket_ref ) malloc( sizeof( socket_t ));
-	if( ! socket ) return ENOMEM;
-	bzero( socket, sizeof( * socket ));
-	fibril_rwlock_write_lock( & socket_globals.lock );
+	socket = (socket_ref) malloc(sizeof(socket_t));
+	if(! socket){
+		return ENOMEM;
+	}
+	bzero(socket, sizeof(*socket));
+	fibril_rwlock_write_lock(&socket_globals.lock);
 	// request a new socket
 	socket_id = socket_generate_new_id();
-	if( socket_id <= 0 ){
-		fibril_rwlock_write_unlock( & socket_globals.lock );
-		free( socket );
+	if(socket_id <= 0){
+		fibril_rwlock_write_unlock(&socket_globals.lock);
+		free(socket);
 		return socket_id;
 	}
-	if( ERROR_OCCURRED(( int ) async_req_3_3( phone, NET_SOCKET, socket_id, 0, service, NULL, ( ipcarg_t * ) & socket->data_fragment_size, ( ipcarg_t * ) & socket->header_size ))){
-		fibril_rwlock_write_unlock( & socket_globals.lock );
-		free( socket );
+	if(ERROR_OCCURRED((int) async_req_3_3(phone, NET_SOCKET, socket_id, 0, service, NULL, (ipcarg_t *) &socket->data_fragment_size, (ipcarg_t *) &socket->header_size))){
+		fibril_rwlock_write_unlock(&socket_globals.lock);
+		free(socket);
 		return ERROR_CODE;
 	}
 	// finish the new socket initialization
-	socket_initialize( socket, socket_id, phone, service );
+	socket_initialize(socket, socket_id, phone, service);
 	// store the new socket
-	ERROR_CODE = sockets_add( socket_get_sockets(), socket_id, socket );
-	fibril_rwlock_write_unlock( & socket_globals.lock );
-	if( ERROR_CODE < 0 ){
-		dyn_fifo_destroy( & socket->received );
-		dyn_fifo_destroy( & socket->accepted );
-		free( socket );
-		async_msg_3( phone, NET_SOCKET_CLOSE, ( ipcarg_t ) socket_id, 0, service );
+	ERROR_CODE = sockets_add(socket_get_sockets(), socket_id, socket);
+	fibril_rwlock_write_unlock(&socket_globals.lock);
+	if(ERROR_CODE < 0){
+		dyn_fifo_destroy(&socket->received);
+		dyn_fifo_destroy(&socket->accepted);
+		free(socket);
+		async_msg_3(phone, NET_SOCKET_CLOSE, (ipcarg_t) socket_id, 0, service);
 		return ERROR_CODE;
 	}
